Index: /trunk/language/nl_NL/admin.lang.php
===================================================================
--- /trunk/language/nl_NL/admin.lang.php	(revision 25661)
+++ /trunk/language/nl_NL/admin.lang.php	(revision 25662)
@@ -59,5 +59,5 @@
 $lang['Albums authorized thanks to group associations'] = 'Albums geautoriseerd dankzij groepassociaties';
 $lang['Album manual order was saved'] = 'De handmatige sorteervolgorde is vastgelegd';
-$lang['Check for upgrade failed for unknown reasons.'] = 'Upgradecontrole is door onbekende reden niet (goed) uitgevoerd.';
+$lang['Check for upgrade failed for unknown reasons.'] = 'Upgradecontrole is om onbekende reden niet (goed) uitgevoerd.';
 $lang['Check for upgrade'] = 'Upgradecontrole';
 $lang['Comments for all'] = 'Iedereen mag commentaar geven (ook gasten)';
@@ -316,5 +316,5 @@
 $lang['Thumbnail'] = 'Klikplaatje';
 $lang['Title'] = 'Titel';
-$lang['Album list management'] = 'Albumlijst beheer';
+$lang['Album list management'] = 'Albumlijstbeheer';
 $lang['Piwigo configuration'] = 'Piwigo configuratie';
 $lang['Edit album'] = 'Bewerk album';
@@ -391,5 +391,5 @@
 $lang['Element'] = 'Element';
 $lang['Section'] = 'sectie';
-$lang['An information email was sent to group "%s"'] = 'Een informatie email is verstuurd naar de groep "%s"';
+$lang['An information email was sent to group "%s"'] = 'Een informatie-email is verstuurd naar de groep "%s"';
 $lang['Send an information email to group members'] = 'Stuur een informatie email naar groepsleden';
 $lang['Group'] = 'Groep';
@@ -468,7 +468,7 @@
 $lang['Other plugins'] = 'Andere plugins';
 $lang['Last revisions'] = 'Lastste revisie';
-$lang['Are you sure you want to delete this plugin?'] = 'Weet U het zeker dat u deze plugin wilt verwijderen?';
-$lang['Are you sure you want to install this plugin?'] = 'Weet U het zeker dat u deze plugin wilt installeren?';
-$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Weet U het zeker dat u deze plugin wilt bijwerken? U moet controleren of deze versie niet gedeinstaleerd moet worden.';
+$lang['Are you sure you want to delete this plugin?'] = 'Weet U zeker dat u deze plugin wilt verwijderen?';
+$lang['Are you sure you want to install this plugin?'] = 'Weet U zeker dat u deze plugin wilt installeren?';
+$lang['Are you sure to install this upgrade? You must verify if this version does not need uninstallation.'] = 'Weet U zeker dat u deze plugin wilt bijwerken? U moet controleren of deze versie niet eerst gede\ïnstalleerd moet worden.';
 $lang['Plugin has been successfully copied'] = 'Plugin is succesvol gekopieerd';
 $lang['You might go to plugin list to install and activate it.'] = 'U zou naar de plugin-lijst kunnen gaan om de plugin te installeren en te activeren.';
@@ -483,6 +483,6 @@
 $lang['Documentation'] = 'Documentatie';
 $lang['ACCESS_0'] = 'Vrije toegang';
-$lang['ACCESS_1'] = 'Toegang tot alles';
-$lang['ACCESS_2'] = 'Toegang tot geabonneerde';
+$lang['ACCESS_1'] = 'Toegang voor iedereen';
+$lang['ACCESS_2'] = 'Toegang voor geregistreerde gebruikers';
 $lang['ACCESS_3'] = 'Toegang voor administrators';
 $lang['ACCESS_4'] = 'Toegang voor webbeheerders';
@@ -539,5 +539,5 @@
 $lang['Email administrators when a comment is modified'] = 'Stuur email naar de administrators wanneer een commentaar is gewijzigd';
 $lang['Email administrators when a comment is deleted'] = 'Stuur email naar de administrators wanneer een commentaar is verwijderd';
-$lang['Cannot delete the old permalink !'] = 'De oude permalink kan niet verwijderd worden !';
+$lang['Cannot delete the old permalink !'] = 'De oude permalink kan niet verwijderd worden!';
 $lang['Hit'] = 'Hit';
 $lang['Tools'] = 'Hulpmiddelen';
@@ -576,5 +576,5 @@
 $lang['Your configuration settings are saved'] = 'Uw configuratie-instellingen zijn opgeslagen';
 $lang['Active Themes'] = 'Actieve Thema\'s';
-$lang['Add write access to the "%s" directory'] = 'Geef de "%s" directorie schrijfbevoegdheden';
+$lang['Add write access to the "%s" directory'] = 'Geef de "%s" directory schrijfbevoegdheden';
 $lang['Administration Home'] = 'Administratie Startpagina';
 $lang['Change Admin Colors'] = 'Wijzig de Admin-kleuren';
@@ -723,5 +723,5 @@
 $lang['Searching...'] = 'Bezig met zoeken...';
 $lang['Type in a search term'] = 'Type een zoekterm in';
-$lang['Activate icon "new" next to albums and pictures'] = 'Activeer "nieuw" pictogram naast albums en afbeeldingen';
+$lang['Activate icon "new" next to albums and pictures'] = 'Activeer "nieuw" icoon naast albums en afbeeldingen';
 $lang['Deactivate all'] = 'Deactiveer alles';
 $lang['Default photos order'] = 'Standaard foto volgorde';
@@ -801,5 +801,5 @@
 $lang['With no virtual album'] = 'Zonder virtueel album';
 $lang['Photo name'] = 'Foto-naam';
-$lang['Activate comments'] = 'Activeer onderschriften';
+$lang['Activate comments'] = 'Activeer commentaar';
 $lang['Default comments order'] = 'Standaard commentaar volgorde';
 $lang['Send connection settings by email'] = 'Verstuur verbindings-instellingen per email';
@@ -851,5 +851,5 @@
 $lang['Apply watermark if height is bigger than'] = 'Breng watermerk aan, als de hoogte groter is dan';
 $lang['Apply watermark if width is bigger than'] = 'Breng watermerk aan, als de breedte groter is dan';
-$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Standaard, is het centrum van belangstelling in het midden van de foto geplaatst';
+$lang['By default, the center of interest is placed in the middle of the photo.'] = 'Standaard is het centrum van belangstelling in het midden van de foto geplaatst';
 $lang['Delete multiple size images'] = 'Verwijder meerdere formaat plaatjes';
 $lang['Features include gallery browsing, album creation and photo upload.'] = 'Kenmerken omvatten galerie browsen, album maken en foto\'s uploaden.';