Index: extensions/edit_gmaps/language/ar_SA/lang.php
===================================================================
--- extensions/edit_gmaps/language/ar_SA/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/ar_SA/lang.php	(revision 25670)
@@ -7,11 +7,11 @@
 $lang['selection']='اختيار';
 $lang['reset'] ="اعادة تعيين"  ;
-$lang['hlp_line1'] .= "اختيار التصنيف" ;
-$lang['hlp_line2'] .= "اختار في هذا التصنيف صورة اة اكثر في نفس المكان" ;
-$lang['hlp_line3'] .= "عرض احداثيات الصورة الاولى اذا معروفة "  ;
-$lang['hlp_line4'] .= "ألغ الاختيار";
-$lang['hlp_line5'] .= "اختر المكان للبحث عنه(البلدة,الدولة)";
+$lang['hlp_line1'] = "اختيار التصنيف" ;
+$lang['hlp_line2'] = "اختار في هذا التصنيف صورة اة اكثر في نفس المكان" ;
+$lang['hlp_line3'] = "عرض احداثيات الصورة الاولى اذا معروفة "  ;
+$lang['hlp_line4'] = "ألغ الاختيار";
+$lang['hlp_line5'] = "اختر المكان للبحث عنه(البلدة,الدولة)";
 
-$lang['hlp_line6'] .= "ابحث في خرائط جوجل";
+$lang['hlp_line6'] = "ابحث في خرائط جوجل";
 
 $lang['Map']='خريطة';
Index: extensions/edit_gmaps/language/en_UK/lang.php
===================================================================
--- extensions/edit_gmaps/language/en_UK/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/en_UK/lang.php	(revision 25670)
@@ -6,11 +6,11 @@
 $lang['selection']='Selection';
 $lang['reset'] ="Reset"  ;
-$lang['hlp_line1'] .= "Category selection." ;
-$lang['hlp_line2'] .= "Select in this category, one or several photos of a same place." ;
-$lang['hlp_line3'] .= "Display the coordinates of the first photo if it is known. "  ;
-$lang['hlp_line4'] .= "Cancel selection.";
-$lang['hlp_line5'] .= "Enter the place to look for (town, country)";
+$lang['hlp_line1'] = "Category selection." ;
+$lang['hlp_line2'] = "Select in this category, one or several photos of a same place." ;
+$lang['hlp_line3'] = "Display the coordinates of the first photo if it is known. "  ;
+$lang['hlp_line4'] = "Cancel selection.";
+$lang['hlp_line5'] = "Enter the place to look for (town, country)";
 
-$lang['hlp_line6'] .= "Search with Google Map";
+$lang['hlp_line6'] = "Search with Google Map";
 
 $lang['Map']='Map';
Index: extensions/edit_gmaps/language/es_ES/lang.php
===================================================================
--- extensions/edit_gmaps/language/es_ES/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/es_ES/lang.php	(revision 25670)
@@ -3,11 +3,11 @@
 $lang['selection']="Selección ";
 $lang['reset'] ="Recetear"  ;
-$lang['hlp_line1'] .= "Selección de la categoría ." ;
-$lang['hlp_line2'] .= "Seleccione en esta categoría, una o varias fotos del mismo lugar." ;
-$lang['hlp_line3'] .= "Visualize las coordinadas de la primera foto si es conocida."  ;
-$lang['hlp_line4'] .= "Anula la selección .";  
-$lang['hlp_line5'] .= "Entre el lugar que hay que buscar (ciudad, país)"  ; 
+$lang['hlp_line1'] = "Selección de la categoría ." ;
+$lang['hlp_line2'] = "Seleccione en esta categoría, una o varias fotos del mismo lugar." ;
+$lang['hlp_line3'] = "Visualize las coordinadas de la primera foto si es conocida."  ;
+$lang['hlp_line4'] = "Anula la selección .";  
+$lang['hlp_line5'] = "Entre el lugar que hay que buscar (ciudad, país)"  ; 
 
-$lang['hlp_line6'] .= "Búsqueda en Google mapa "; 
+$lang['hlp_line6'] = "Búsqueda en Google mapa "; 
 
 $lang['Map']='Mapa';
Index: extensions/edit_gmaps/language/fr_FR/lang.php
===================================================================
--- extensions/edit_gmaps/language/fr_FR/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/fr_FR/lang.php	(revision 25670)
@@ -2,5 +2,5 @@
 $lang['command_cl']="Lecture : Base de données, Exif";
 $lang['return']="Retour";
-$lang['hlp_line4'] .= "Modifie la sélection.";  
+$lang['hlp_line4'] = "Modifie la sélection.";  
 $lang['update']='Mise à jour ';
 $lang['update_exif']='Mise à jour EXIF';
@@ -25,11 +25,11 @@
 $lang['selection']="Sélection";
 $lang['reset'] ="Raz"  ;
-$lang['hlp_line1'] .= "Sélection de l'album." ;
-$lang['hlp_line2'] .= "Sélectionnez dans cet album, une ou plusieurs photos d'un même lieu." ;
-$lang['hlp_line3'] .= "Affiche les coordonnées de la première photo si elle est connue. "  ;
+$lang['hlp_line1'] = "Sélection de l'album." ;
+$lang['hlp_line2'] = "Sélectionnez dans cet album, une ou plusieurs photos d'un même lieu." ;
+$lang['hlp_line3'] = "Affiche les coordonnées de la première photo si elle est connue. "  ;
  
-$lang['hlp_line5'] .= "Entrez le lieu à rechercher (ville,pays)"  ; 
+$lang['hlp_line5'] = "Entrez le lieu à rechercher (ville,pays)"  ; 
 
-$lang['hlp_line6'] .= "Recherche sur Google map"; 
+$lang['hlp_line6'] = "Recherche sur Google map"; 
 
 $lang['Map']='Carte';
Index: extensions/edit_gmaps/language/hu_HU/lang.php
===================================================================
--- extensions/edit_gmaps/language/hu_HU/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/hu_HU/lang.php	(revision 25670)
@@ -6,11 +6,11 @@
 $lang['selection']="Kiválasztás";
 $lang['reset'] ="Törlés"  ;
-$lang['hlp_line1'] .= "Válasszon kategóriát." ;
-$lang['hlp_line2'] .= "Válassza ezt a kategóriát ha egy vagy több kép van ugyanazon a helyen." ;
-$lang['hlp_line3'] .= "Megjeleníti az első képhez tartozó koordinátákat ha azok ismertek. "  ;
-$lang['hlp_line4'] .= "Kiválasztás megszakítása.";  
-$lang['hlp_line5'] .= "Írja be a helyet a kereséshez (ország, város)"  ; 
+$lang['hlp_line1'] = "Válasszon kategóriát." ;
+$lang['hlp_line2'] = "Válassza ezt a kategóriát ha egy vagy több kép van ugyanazon a helyen." ;
+$lang['hlp_line3'] = "Megjeleníti az első képhez tartozó koordinátákat ha azok ismertek. "  ;
+$lang['hlp_line4'] = "Kiválasztás megszakítása.";  
+$lang['hlp_line5'] = "Írja be a helyet a kereséshez (ország, város)"  ; 
 
-$lang['hlp_line6'] .= "Keresés a Google Térkép-en"; 
+$lang['hlp_line6'] = "Keresés a Google Térkép-en"; 
 
 $lang['Map']='Térkép';
Index: extensions/edit_gmaps/language/it_IT/lang.php
===================================================================
--- extensions/edit_gmaps/language/it_IT/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/it_IT/lang.php	(revision 25670)
@@ -3,5 +3,5 @@
 $lang['command_cl']='Lettura : Database, Exif';
 $lang['return']='Return';
-$lang['hlp_line4'] .= 'Modificare la selelzione.';
+$lang['hlp_line4'] = 'Modificare la selelzione.';
 $lang['update']='Aggiornamento ';
 $lang['update_exif']='Aggiornamento EXIF';
@@ -26,11 +26,11 @@
 $lang['selection']='Selezione';
 $lang['reset'] ='Raz'  ;
-$lang['hlp_line1'] .= 'Selezione dell\'album' ;
-$lang['hlp_line2'] .= 'Selezionare in questo album, una o più foto per uno stesso luogo' ;
-$lang['hlp_line3'] .= 'Visualizzare le coordinate della prima foto se è conosciuta '  ;
+$lang['hlp_line1'] = 'Selezione dell\'album' ;
+$lang['hlp_line2'] = 'Selezionare in questo album, una o più foto per uno stesso luogo' ;
+$lang['hlp_line3'] = 'Visualizzare le coordinate della prima foto se è conosciuta '  ;
 
-$lang['hlp_line5'] .= 'Inserire il luogo da ricercare (città, paese)'  ; 
+$lang['hlp_line5'] = 'Inserire il luogo da ricercare (città, paese)'  ; 
 
-$lang['hlp_line6'] .= 'Ricercare su Google map'; 
+$lang['hlp_line6'] = 'Ricercare su Google map'; 
 
 $lang['Map']='Mappa';
Index: extensions/edit_gmaps/language/lv_LV/lang.php
===================================================================
--- extensions/edit_gmaps/language/lv_LV/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/lv_LV/lang.php	(revision 25670)
@@ -1,14 +1,14 @@
 <?php
 
-$lang['search_title']='MeklÄt vietu...';
+$lang['search_title']='MeklÄ“t vietu...';
 $lang['map']='Map';
-$lang['selection']='IzvÄle';
-$lang['reset'] ="RestartÄt"  ;
-$lang['hlp_line1'] .= "Kategorijas izvÄle." ;
-$lang['hlp_line2'] .= "Å ajÄ kategorijÄ atlasiet vienu vai vairÄkus fotoattÄlus no tÄs paÅ¡as vietas." ;
-$lang['hlp_line3'] .= "ParÄdÄ«t pirmÄ attÄlas koordinÄtas, ja tÄs ir zinÄmas. "  ;
-$lang['hlp_line4'] .= "Atcelt izvÄli.";
-$lang['hlp_line5'] .= "Ievadiet meklÄjamo vietu (pilsÄtu, valsti)";
-$lang['hlp_line6'] .= "MeklÄt ar Google Map";
+$lang['selection']='IzvÄ“le';
+$lang['reset'] ="RestartÄ“t"  ;
+$lang['hlp_line1'] = "Kategorijas izvÄ“le." ;
+$lang['hlp_line2'] = "Å ajÄ kategorijÄ atlasiet vienu vai vairÄkus fotoattÄ“lus no tÄs paÅ¡as vietas." ;
+$lang['hlp_line3'] = "ParÄdÄ«t pirmÄ attÄ“las koordinÄtas, ja tÄs ir zinÄmas. "  ;
+$lang['hlp_line4'] = "Atcelt izvÄ“li.";
+$lang['hlp_line5'] = "Ievadiet meklÄ“jamo vietu (pilsÄ“tu, valsti)";
+$lang['hlp_line6'] = "MeklÄ“t ar Google Map";
 
 $lang['Map']='Karte';
@@ -21,17 +21,17 @@
 $lang['go to %s']='iet uz %s';
 $lang['displays all images on a map']='attelo karte visus attelus';
-$lang['Viewing']='Aplukoana';
-$lang['Link to this page']='Saite uz o lapu';
+$lang['Viewing']='Aplukošana';
+$lang['Link to this page']='Saite uz šo lapu';
 $lang['Show all']='Radit visu';
-$lang['show all pictures around this location']='paradit visus attelus ap o atraanas vietu';
-$lang['Search a location...']='Meklet atraanas vietu...';
+$lang['show all pictures around this location']='paradit visus attelus ap šo atrašanas vietu';
+$lang['Search a location...']='Meklet atrašanas vietu...';
  
 $lang['Loading']='Ieladejas';
 $lang['Failed']='Nizdevas';
  
-$lang['Prev']='Iepriekejais';
-$lang['Next']='Nakoais';
+$lang['Prev']='Iepriekšejais';
+$lang['Next']='Nakošais';
 $lang['out of %d']='arpus %d';
  
-$lang['More pictures near this location']='Vel atteli is atraanas vietas tuvuma';
+$lang['More pictures near this location']='Vel atteli šis atrašanas vietas tuvuma';
 ?>
Index: extensions/edit_gmaps/language/nb_NO/lang.php
===================================================================
--- extensions/edit_gmaps/language/nb_NO/lang.php	(revision 25488)
+++ extensions/edit_gmaps/language/nb_NO/lang.php	(revision 25670)
@@ -6,11 +6,11 @@
 $lang['selection']='Utvalg:';
 $lang['reset'] ="Resett";
-$lang['hlp_line1'] .= "Album valg." ;
-$lang['hlp_line2'] .= "Velg i dette albmet, et eller flere biler av samme sted." ;
-$lang['hlp_line3'] .= "Vis koordinatene til første bilde om dette er kjent. "  ;
-$lang['hlp_line4'] .= "Angre utvalg.";
-$lang['hlp_line5'] .= "Skriv inn navn på steder å søke (by, land)";
+$lang['hlp_line1'] = "Album valg." ;
+$lang['hlp_line2'] = "Velg i dette albmet, et eller flere biler av samme sted." ;
+$lang['hlp_line3'] = "Vis koordinatene til første bilde om dette er kjent. "  ;
+$lang['hlp_line4'] = "Angre utvalg.";
+$lang['hlp_line5'] = "Skriv inn navn på steder å søke (by, land)";
 
-$lang['hlp_line6'] .= "Søk med Google Map";
+$lang['hlp_line6'] = "Søk med Google Map";
 
 $lang['Map']='Kart';