Index: /extensions/piwigo-openstreetmap/language/zh_CN/description.txt
===================================================================
--- /extensions/piwigo-openstreetmap/language/zh_CN/description.txt	(revision 25671)
+++ /extensions/piwigo-openstreetmap/language/zh_CN/description.txt	(revision 25671)
@@ -0,0 +1,1 @@
+OpenStreetMap的Piwigo集成
Index: /extensions/piwigo-openstreetmap/language/zh_CN/index.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/zh_CN/index.php	(revision 25671)
+++ /extensions/piwigo-openstreetmap/language/zh_CN/index.php	(revision 25671)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/piwigo-openstreetmap/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/piwigo-openstreetmap/language/zh_CN/plugin.lang.php	(revision 25671)
+++ /extensions/piwigo-openstreetmap/language/zh_CN/plugin.lang.php	(revision 25671)
@@ -0,0 +1,108 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['CUSTOMBASELAYER'] = '自定义地图样式';
+$lang['CUSTOMBASELAYERURL_DESC'] = '仅当\'自定义\'被选为地图样式。例如：
+http://tile.openstreetmap.org/{z}/{x}/{y}.png';
+$lang['CUSTOMBASELAYER_DESC'] = '仅当\'自定义\'被选为地图样式。地图样式的提供者(tiles)？';
+$lang['OWNPIN'] = '自定义';
+$lang['PINPATH'] = '自定义兴趣点(pin)';
+$lang['PINPATH_DESC'] = '到兴趣点(pins)的路径（仅当\'自定义\'被选定）。';
+$lang['PIN_DESC'] = '如使用自定义，则选择最后一项。';
+$lang['PLUGINBY'] = '插件作者';
+$lang['PLUGINCONF'] = '插件选项';
+$lang['POPUPAUTHOR'] = '图片作者';
+$lang['POPUPCOMMENT'] = '图片评论';
+$lang['POPUPLINK'] = '给图片添加链接';
+$lang['POPUPNAME'] = '图片名称';
+$lang['POPUPTHUMB'] = '图片缩略图';
+$lang['POWERBY'] = 'Powered by';
+$lang['RIGHTLINK'] = '地点抬头名称';
+$lang['RIGHTLINKCSS'] = '自定义CSS';
+$lang['RIGHTLINKCSS_DESC'] = '应用到抬头上的CSS样式。';
+$lang['RIGHTLINK_DESC'] = '显示于地图顶端的名称。';
+$lang['R_MAP'] = '右侧面板设置';
+$lang['SHOWLOCATION'] = '显示地点地图';
+$lang['SHOWLOCATION_DESC'] = '在图像右侧面板显示地图';
+$lang['SHOWOSM'] = '显示\'在OpenStreetMap查看\'';
+$lang['SHOWOSM_DESC'] = '在地图后添加一个链接，以在OpenStreetMap查看。';
+$lang['SHOWWORLDMAPLEFT'] = '在左侧添加世界地图菜单';
+$lang['SHOWWORLDMAPLEFT_DESC'] = '在左侧菜单显示世界地图菜单，将显示相册中的所有图片。';
+$lang['SYNC_ERRORS'] = '错误';
+$lang['SYNC_INFOS'] = '详细信息';
+$lang['SYNC_WARNINGS'] = '警告';
+$lang['ZOOM'] = '缩放比例';
+$lang['ZOOM_DESC'] = '1：非常远，18：非常近';
+$lang['NOWORLDWARP'] = '无Worldwarp';
+$lang['NOWORLDWARP_DESC'] = '一般来说，the world 将左右延续。本选项将视野限制为\'one world\'。';
+$lang['OVERWRITE'] = '覆盖已存在的geo数据';
+$lang['OVERWRITE_DESC'] = '以新lat-lon覆盖旧的。如不勾选，将只添加新的（不更新）。';
+$lang['OVERWRITE_LGD'] = '覆盖';
+$lang['PIN'] = '选择兴趣点(pin)';
+$lang['PINOFFSET'] = '兴趣点(pin) offset';
+$lang['PINOFFSET_DESC'] = '兴趣点(pin)图片上的锚点位置的偏移。0x0是左上角。使用示例：十字准星 = 图片中心';
+$lang['PINPOPUPOFFSET'] = '弹窗offset';
+$lang['PINPOPUPOFFSET_DESC'] = '弹窗连接兴趣点(pin)的位置。0x0为兴趣点。';
+$lang['PINSHADOWPATH'] = 'Shadow';
+$lang['PINSHADOWPATH_DESC'] = '到兴趣点(pin)的shadow image的路径。';
+$lang['PINSHADOWSIZE'] = 'Shadow大小';
+$lang['PINSHADOWSIZE_DESC'] = '图片像素尺寸。分隔符为 \'x\'。例如：\'24x24\'';
+$lang['PINSIZE'] = '兴趣点(pin)大小';
+$lang['PINSIZE_DESC'] = '兴趣点(pin)的图片像素大小：宽度 x 高度，分隔符为 \'x\'。例如：\'24x24\'';
+$lang['DEFAULTPIN'] = '默认';
+$lang['DISPLAY'] = '显示设置';
+$lang['EDIT_MAP'] = '地图';
+$lang['EDIT_UPDATE_LOCATION_DESC'] = '点击地图内部以更新地点。';
+$lang['G_MAP'] = '地图设置';
+$lang['HEIGHT'] = '地图高度';
+$lang['HEIGHT_DESC'] = '像素';
+$lang['H_PIN'] = '兴趣点(pins)设置';
+$lang['IMAGERYBY'] = '图片作者';
+$lang['LATITUDE'] = '纬度';
+$lang['LEFTLINK'] = '世界地图菜单名';
+$lang['LEFTLINK_DESC'] = '输入显示于左侧菜单的链接的名称';
+$lang['LEFTPOPUP'] = '显示弹窗';
+$lang['LEFTPOPUPINFO'] = '选择弹窗内容';
+$lang['LEFTPOPUPINFO_DESC'] = '选择在弹窗中显示的内容';
+$lang['LEFTPOPUP_DESC'] = '点击兴趣点(pin)时显示弹窗。';
+$lang['LONGITUDE'] = '经度';
+$lang['L_MAP'] = '左侧菜单设置';
+$lang['NEVER'] = '无弹窗';
+$lang['NOPIN'] = '无兴趣点(pin)';
+$lang['ATTRLEAFLET_DESC'] = '为互动\'Leaflet\'地图显示JavaScript library配置。';
+$lang['ATTRPLUGIN_DESC'] = '我创造了这个插件。:)';
+$lang['AUTOSYNC'] = '如存在EXIF则自动同步';
+$lang['AUTOSYNC_DESC'] = '在同步过程中，之前的数据可能被覆盖。如果您安装了\'RV Maps & Earth\'，请禁用。';
+$lang['BASELAYER'] = '地图样式';
+$lang['BASELAYER_DESC'] = 'Mapnik是OpenStreetMap的默认样式。';
+$lang['BATCHMANAGER'] = '启用Batch Manager集成';
+$lang['BATCHMANAGER_DESC'] = '允许手动修改经纬度。如果您安装了\'RV Maps & Earth\'，请禁用。';
+$lang['CLICK'] = '点击时显示';
+$lang['CUSTOMBASELAYERURL'] = 'Tile服务器URL';
+$lang['ADD_BEFORE'] = '添加地点于…之前：';
+$lang['ADD_BEFORE_DESC'] = '在何处显示地点信息。';
+$lang['ALWAYS'] = '立即显示';
+$lang['ATTRIMAGERY'] = '显示地图样式';
+$lang['ATTRIMAGERY_DESC'] = '显示地图样式（默认Mapnik）';
+$lang['ATTRLEAFLET'] = '显示 \'Powered by Leaflet\'';
+$lang['ATTRPLUGIN'] = '显示作者姓名';
+?>