Index: /extensions/AdminTools/include/events.inc.php
===================================================================
--- /extensions/AdminTools/include/events.inc.php	(revision 25674)
+++ /extensions/AdminTools/include/events.inc.php	(revision 25675)
@@ -20,10 +20,10 @@
 
   $tpl_vars = array(
-    'U_SITE_ADMIN' => $url_root . 'admin.php?page=',
-    'MULTIVIEW' => $MultiView->get_data(),
-    'U_SELF' => $MultiView->get_clean_url(true),
-    'USER' => $MultiView->get_user(),
+    'U_SITE_ADMIN' =>     $url_root . 'admin.php?page=',
+    'MULTIVIEW' =>        $MultiView->get_data(),
+    'U_SELF' =>           $MultiView->get_clean_url(true),
+    'USER' =>             $MultiView->get_user(),
     'CURRENT_USERNAME' => $user['id']==$conf['guest_id'] ? l10n('guest') : $user['username'],
-    'PWG_TOKEN' => get_pwg_token(),
+    'PWG_TOKEN' =>        get_pwg_token(),
     );
 
@@ -52,6 +52,8 @@
     $template->set_prefilter('picture', 'admintools_remove_privacy');
 
-    $query = 'SELECT element_id FROM ' . CADDIE_TABLE . '
-      WHERE element_id = ' . $page['image_id'] .';';
+    $query = '
+SELECT element_id FROM ' . CADDIE_TABLE . '
+  WHERE element_id = ' . $page['image_id'] .'
+;';
     $tpl_vars['IS_IN_CADDIE'] = pwg_db_num_rows(pwg_query($query)) > 0;
 
@@ -65,7 +67,9 @@
         );
 
-      $query = 'SELECT id FROM ' . CATEGORIES_TABLE.'
-        WHERE id = ' . $page['category']['id'] .'
-        AND representative_picture_id = ' . $page['image_id'] .';';
+      $query = '
+SELECT id FROM ' . CATEGORIES_TABLE.'
+  WHERE id = ' . $page['category']['id'] .'
+    AND representative_picture_id = ' . $page['image_id'] .'
+;';
       $tpl_vars['IS_REPRESENTATIVE'] = pwg_db_num_rows(pwg_query($query)) > 0;
     }
@@ -95,16 +99,16 @@
 
     $tpl_vars['QUICK_EDIT'] = array(
-      'img' => $picture['current']['derivatives']['square'],
-      'name' => $picture['current']['name'],
-      'comment' => $picture['current']['comment'],
-      'author' => $picture['current']['author'],
-      'level' => $picture['current']['level'],
-      'date_creation' => substr($picture['current']['date_creation'], 0, 10),
+      'img' =>                $picture['current']['derivatives']['square'],
+      'name' =>               $picture['current']['name'],
+      'comment' =>            $picture['current']['comment'],
+      'author' =>             $picture['current']['author'],
+      'level' =>              $picture['current']['level'],
+      'date_creation' =>      substr($picture['current']['date_creation'], 0, 10),
       'date_creation_time' => substr($picture['current']['date_creation'], 11, 5),
-      'tag_selection' => $tag_selection,
-      'tags' => $tags,
-      );
-  }
-  else if (@$page['section'] = 'categories' and isset($page['category']))
+      'tag_selection' =>      $tag_selection,
+      'tags' =>               $tags,
+      );
+  }
+  else if (@$page['section'] == 'categories' and isset($page['category']))
   {
     $url_self = duplicate_index_url();
@@ -128,11 +132,14 @@
     }
 
-    $query = 'SELECT * FROM '.IMAGES_TABLE.' WHERE id = '. $page['category']['representative_picture_id'] .';';
+    $query = '
+SELECT * FROM '.IMAGES_TABLE.'
+  WHERE id = '. $page['category']['representative_picture_id'] .'
+;';
     $image_infos = pwg_db_fetch_assoc(pwg_query($query));
 
     $tpl_vars['QUICK_EDIT'] = array(
-      'img' => DerivativeImage::get_one(IMG_SQUARE, $image_infos),
-      'name' => $page['category']['name'],
-      'comment' => $page['category']['comment'],
+      'img' =>      DerivativeImage::get_one(IMG_SQUARE, $image_infos),
+      'name' =>     $page['category']['name'],
+      'comment' =>  $page['category']['comment'],
       );
   }
@@ -172,6 +179,6 @@
   ));
 
-  $template->set_filename('ato', realpath(ADMINTOOLS_PATH . 'template/public_controller.tpl'));
-  $template->parse('ato');
+  $template->set_filename('ato_public_controller', realpath(ADMINTOOLS_PATH . 'template/public_controller.tpl'));
+  $template->parse('ato_public_controller');
 
   switch_lang_back();
@@ -222,7 +229,7 @@
 
     $data = array(
-      'name' => $_POST['name'],
+      'name' =>   $_POST['name'],
       'author' => $_POST['author'],
-      'level' => $_POST['level'],
+      'level' =>  $_POST['level'],
       );
 
Index: /extensions/AdminTools/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/AdminTools/language/en_UK/plugin.lang.php	(revision 25674)
+++ /extensions/AdminTools/language/en_UK/plugin.lang.php	(revision 25675)
@@ -1,5 +1,4 @@
 <?php
 
-$lang['Admin panel'] = 'Admin panel';
 $lang['Combine JS&CSS'] = 'Combine JS&CSS';
 $lang['Debug languages'] = 'Debug languages';
Index: /extensions/AdminTools/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/AdminTools/language/fr_FR/plugin.lang.php	(revision 25674)
+++ /extensions/AdminTools/language/fr_FR/plugin.lang.php	(revision 25675)
@@ -1,5 +1,4 @@
 <?php
 
-$lang['Admin panel'] = 'Panneau d\'administration';
 $lang['Combine JS&CSS'] = 'Combiner JS&CSS';
 $lang['Debug languages'] = 'Debuguer les langues';
Index: /extensions/AdminTools/template/public_controller.tpl
===================================================================
--- /extensions/AdminTools/template/public_controller.tpl	(revision 25674)
+++ /extensions/AdminTools/template/public_controller.tpl	(revision 25675)
@@ -17,6 +17,6 @@
 
   {assign var=datepicker_language value='themes/default/js/ui/i18n/jquery.ui.datepicker-'|cat:$lang_info.code|cat:'.js'}
-  {if 'PHPWG_ROOT_PATH'|@constant|@cat:$datepicker_language|@file_exists}
-  {combine_script id='jquery.ui.datepicker'|cat:$lang_info.code load='footer' path=$datepicker_language}
+  {if 'PHPWG_ROOT_PATH'|constant|cat:$datepicker_language|file_exists}
+  {combine_script id='jquery.ui.datepicker-'|cat:$lang_info.code load='footer' path=$datepicker_language}
   {/if}
 
@@ -32,5 +32,5 @@
   <ul id="ato_header_root">
     <li><a href="#" class="icon-ato-cancel close-panel"></a></li>
-    <li class="parent"><a href="#" class="icon-menu">{'Admin panel'|translate}</a>
+    <li class="parent"><a href="#" class="icon-menu">{'Administration'|translate}</a>
       <ul>
         <li><a class="icon-picture" href="{$ato.U_SITE_ADMIN}batch_manager">{'Photos'|translate}</a></li>