Index: /trunk/include/calendar_monthly.class.php
===================================================================
--- /trunk/include/calendar_monthly.class.php	(revision 25745)
+++ /trunk/include/calendar_monthly.class.php	(revision 25746)
@@ -420,8 +420,4 @@
 
       list($cell_width, $cell_height) = ImageStdParams::get_by_type(IMG_SQUARE)->sizing->ideal_size;
-      if ($cell_width>120)
-      {
-        $cell_width = $cell_height = 120;
-      }
 
       $tpl_weeks    = array();
@@ -456,45 +452,4 @@
         else
         {
-          list($tn_width,$tn_height) = $items[$day]['derivative']->get_size();
-
-          // now need to fit the thumbnail of size tn_size within
-          // a cell of size cell_size by playing with CSS position (left/top)
-          // and the width and height of <img>.
-          $ratio_w = $tn_width/$cell_width;
-          $ratio_h = $tn_height/$cell_height;
-
-          $pos_top=$pos_left=0;
-          $css_style = '';
-
-          if ( $ratio_w>1 and $ratio_h>1)
-          {// cell completely smaller than the thumbnail so we will let the browser
-           // resize the thumbnail
-            if ($ratio_w > $ratio_h )
-            {// thumbnail ratio compared to cell -> wide format
-              $css_style = 'height:'.$cell_height.'px;';
-              $browser_img_width = $cell_height*$tn_width/$tn_height;
-              $pos_left = ($browser_img_width-$cell_width)/2;
-            }
-            else
-            {
-              $css_style = 'width:'.$cell_width.'px;';
-              $browser_img_height = $cell_width*$tn_height/$tn_width;
-              $pos_top = ($browser_img_height-$cell_height)/2;
-            }
-          }
-          else
-          {
-            $pos_left = ($tn_width-$cell_width)/2;
-            $pos_top = ($tn_height-$cell_height)/2;
-          }
-
-          if ( round($pos_left)!=0)
-          {
-            $css_style.='left:'.round(-$pos_left).'px;';
-          }
-          if ( round($pos_top)!=0)
-          {
-            $css_style.='top:'.round(-$pos_top).'px;';
-          }
           $url = duplicate_index_url(
               array(
@@ -515,5 +470,4 @@
                 'IMAGE'       => $items[$day]['derivative']->get_url(),
                 'U_IMG_LINK'  => $url,
-                'IMAGE_STYLE' => $css_style,
                 'IMAGE_ALT'   => $items[$day]['file'],
               );
Index: /trunk/themes/default/template/month_calendar.tpl
===================================================================
--- /trunk/themes/default/template/month_calendar.tpl	(revision 25745)
+++ /trunk/themes/default/template/month_calendar.tpl	(revision 25746)
@@ -1,3 +1,3 @@
-{if !empty($chronology_navigation_bars) }
+{if !empty($chronology_navigation_bars)}
 {foreach from=$chronology_navigation_bars item=bar}
 <div class="calendarBar">
@@ -23,5 +23,5 @@
 {/if}
 
-{if !empty($chronology_calendar.calendar_bars) }
+{if !empty($chronology_calendar.calendar_bars)}
 {foreach from=$chronology_calendar.calendar_bars item=bar}
 <div class="calendarCalBar">
@@ -41,5 +41,5 @@
 {/if}
 
-{if isset($chronology_calendar.month_view) }
+{if isset($chronology_calendar.month_view)}
 <table class="calMonth">
  <thead>
@@ -51,5 +51,5 @@
  </thead>
 {html_style}
-TABLE.calMonth TBODY TD, TABLE.calMonth TBODY TD DIV.calImg{
+.calMonth TD, .calMonth .calImg{
 	width:{$chronology_calendar.month_view.CELL_WIDTH}px;height:{$chronology_calendar.month_view.CELL_HEIGHT}px
 }
@@ -64,5 +64,5 @@
 	 			<div class="calImg">
 					<a href="{$day.U_IMG_LINK}">
- 						<img style="{$day.IMAGE_STYLE}" src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$day.NB_ELEMENTS|@translate_dec:'%d photo':'%d photos'}">
+ 						<img src="{$day.IMAGE}" alt="{$day.IMAGE_ALT}" title="{$day.NB_ELEMENTS|@translate_dec:'%d photo':'%d photos'}">
 					</a>
 				</div>
Index: /trunk/themes/default/theme.css
===================================================================
--- /trunk/themes/default/theme.css	(revision 25745)
+++ /trunk/themes/default/theme.css	(revision 25746)
@@ -172,16 +172,4 @@
 	font-size: 18px;
 	border: 1px solid gray;
-}
-
-.calImg {
-	overflow: hidden;
-	vertical-align: bottom;
-	z-index: 1;
-	position: relative; /*<- this required by IE*/
-}
-
-.calImg IMG {
-	position: relative;
-	border: 0;
 }
 