Index: /extensions/piwigo_videojs/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/piwigo_videojs/language/nl_NL/plugin.lang.php	(revision 25755)
+++ /extensions/piwigo_videojs/language/nl_NL/plugin.lang.php	(revision 25756)
@@ -23,16 +23,16 @@
 $lang['PLUGIN'] = 'Plugin-instellingen';
 $lang['VIDEOJSPLUGIN'] = 'VideoJS plugins';
-$lang['WIDTH'] = 'Max. breedte';
+$lang['WIDTH'] = 'Max.breedte';
 $lang['WATERMARK'] = 'Watermerk';
 $lang['LOOP'] = 'Herhalen';
-$lang['WATERMARK_DESC'] = 'Plaatst een watermerk over de video';
+$lang['WATERMARK_DESC'] = 'Plaatst een watermerk over de video.';
 $lang['AUTOPLAY'] = 'Automatisch afspelen';
-$lang['AUTOPLAY_DESC'] = 'wanneer automatisch afspelen aan staat, start de video direct wanneer de pagina geladen is. (zonder tussenkomst van de gebruiker) Let op niet ondersteund door Apple IOS apparaten!';
+$lang['AUTOPLAY_DESC'] = 'Indien automatisch afspelen aan staat, start de video direct nadat de pagina geladen is (zonder tussenkomst van de gebruiker). Let op: Wordt NIET ondersteund door Apple IOS apparaten!';
 $lang['CONTROLS'] = 'Besturing';
-$lang['PRELOAD'] = 'voorladen';
+$lang['PRELOAD'] = 'Voorladen';
 $lang['SYNC_OUTPUT'] = 'Uitvoer-formaat';
 $lang['SYNC_POSTEROVERLAY'] = 'Voeg filmeffect toe';
 $lang['SYNC_THUMBSEC'] = 'Maak elke seconde een klikplaatje';
-$lang['SYNC_THUMBSEC_DESC'] = 'Maak elke x seconden een klikplaatje';
+$lang['SYNC_THUMBSEC_DESC'] = 'Maak elke x seconden een klikplaatje.';
 $lang['SYNC_THUMBSIZE'] = 'Grootte van de klikplaatjes';
 $lang['SYNC_WARNINGS'] = 'Waarschuwingen';
@@ -40,10 +40,27 @@
 $lang['VOLUME'] = 'Volume';
 $lang['SYNC_ERRORS'] = 'Fouten';
-$lang['SYNC_INFOS'] = 'Gedetaileerde informatie';
-$lang['UPSCALE_DESC'] = 'Indien het video formaat kleiner is dan de maximale breedte, dan wordt het video formaat vergroot tot de maximale breedte.';
-$lang['CONTROLS_DESC'] = 'De bedienings optie bepaalt of de speler bedienings opties heeft welke de gebruiker wel of niet kan bedienen';
-$lang['VOLUME_DESC'] = 'De volume optie stelt het volume niveau in: o is uit (gedempt), 1 is voluit, 0.5 is halverwege.';
+$lang['SYNC_INFOS'] = 'Gedetailleerde informatie';
+$lang['UPSCALE_DESC'] = 'Indien het videoformaat kleiner is dan de maximale breedte, wordt het videoformaat vergroot tot de maximale breedte.';
+$lang['CONTROLS_DESC'] = 'De bedieningsoptie bepaalt of de speler bedieningsopties heeft welke de gebruiker wel of niet kan bedienen';
+$lang['VOLUME_DESC'] = 'De volume-optie stelt het volume niveau in: o is uit (gedempt), 1.0 is voluit, 0.5 is halverwege.';
 $lang['HTML5'] = 'HTML5 video label instellingen';
 $lang['SKIN'] = 'Thema';
-$lang['SYNC_METADATA_DESC'] = 'Overschrijft de informatie in de database met de metadata van de video';
+$lang['SYNC_METADATA_DESC'] = 'Overschrijft de informatie in de database met de metadata van de video.';
+$lang['ZOOMROTATE'] = 'ZoomRoteer';
+$lang['ZOOMROTATE_DESC'] = 'Roteer en zoom een video indien van toepassing, gebruik hierbij de rotatie-metadata.';
+$lang['WIDTH_DESC'] = 'De maximumbreedte-optie geeft de maximale breedte van de video-weergave. Indien de video-grootte hoger is, wordt de breedte de maximumbreedte.';
+$lang['SYNC_POSTEROVERLAY_DESC'] = 'Gebruik een opmaak bij het maken van de poster.';
+$lang['SYNC_POSTEROVERWRITE'] = 'Overschrijf bestaande posters';
+$lang['SYNC_POSTEROVERWRITE_DESC'] = 'Overschrijf de bestaande klikplaatjes met nieuwe. Indien deze optie niet is aangevinkt worden alleen klikplaatjes aangemaakt voor nieuw toegevoegde video\'s.';
+$lang['SYNC_POSTER_DESC'] = 'Maak een poster voor de video op de aangegeven plaats.';
+$lang['SYNC_THUMBSIZE_DESC'] = 'Grootte in pixels, hou het klein, standaard is prima. Youtube gebruikt 190x68.';
+$lang['THUMBNAILS_DESC'] = 'Geeft de klikplaatjes weer op de voortgangsbalk.';
+$lang['UPSCALE'] = 'Vergroten';
+$lang['CUSTOMCSS'] = 'Aangepaste CSS';
+$lang['CUSTOMCSS_DESC'] = 'Aangepaste CSS om te plakken/kopiëren van <a href="http://www.videojs.com/" target="_blank">VideoJS website</a>.';
+$lang['LOOP_DESC'] = 'De Herhalen-optie zorgt ervoor dat de video op het einde opnieuw gestart wordt.';
+$lang['PRELOAD_DESC'] = 'De Voorladen-optie geeft de browser informatie of deze de video-data direct moet gaan downloaden of niet.';
+$lang['SKIN_DESC'] = 'Kies de stijl die u wilt toepassen op de speler of <a href="http://designer.videojs.com/" target="_blank">creëer uw eigen thema</ a>.';
+$lang['SYNC_OUTPUT_DESC'] = 'Selecteer het uitvoer-formaat voor de poster en klikplaatje.';
+$lang['SYNC_POSTER'] = 'Maak een poster op positie in seconden';
 ?>