Index: trunk/admin/include/functions_metadata.php
===================================================================
--- trunk/admin/include/functions_metadata.php	(revision 25800)
+++ trunk/admin/include/functions_metadata.php	(revision 25801)
@@ -123,5 +123,6 @@
       array_merge(
         $update_fields,
-        array_keys($conf['use_exif_mapping'])
+        array_keys($conf['use_exif_mapping']),
+        array('latitude', 'longitude')
         );
   }
Index: trunk/include/functions_metadata.inc.php
===================================================================
--- trunk/include/functions_metadata.inc.php	(revision 25800)
+++ trunk/include/functions_metadata.inc.php	(revision 25801)
@@ -153,5 +153,7 @@
   if ($exif = @read_exif_data($filename))
   {
-    $exif = trigger_event('format_exif_data', $exif, $filename, $map );
+    $exif = trigger_event('format_exif_data', $exif, $filename, $map);
+
+    // configured fields
     foreach ($map as $key => $field)
     {
@@ -170,4 +172,18 @@
           $result[$key] = $exif[$tokens[0]][$tokens[1]];
         }
+      }
+    }
+
+    // GPS data
+    $gps_exif = array_intersect_key($exif, array_flip(array('GPSLatitudeRef', 'GPSLatitude', 'GPSLongitudeRef', 'GPSLongitude')));
+    if (count($gps_exif) == 4)
+    {
+      if (
+        is_array($gps_exif['GPSLatitude'])  and in_array($gps_exif['GPSLatitudeRef'], array('S', 'N')) and
+        is_array($gps_exif['GPSLongitude']) and in_array($gps_exif['GPSLongitudeRef'], array('W', 'E'))
+        )
+      {
+        $result['latitude'] = parse_exif_gps_data($gps_exif['GPSLatitude'], $gps_exif['GPSLatitudeRef']);
+        $result['longitude'] = parse_exif_gps_data($gps_exif['GPSLongitude'], $gps_exif['GPSLongitudeRef']);
       }
     }
@@ -187,3 +203,32 @@
 }
 
+
+/**
+ * Converts EXIF GPS format to a float value.
+ * @since 2.6
+ *
+ * @param string[] $raw eg:
+ *    - 41/1
+ *    - 54/1
+ *    - 9843/500
+ * @param string $ref 'S', 'N', 'E', 'W'. eg: 'N'
+ * @return float eg: 41.905468
+ */
+function parse_exif_gps_data($raw, $ref)
+{
+  foreach ($raw as &$i)
+  {
+    $i = explode('/', $i);
+    $i = $i[1]==0 ? 0 : $i[0]/$i[1];
+  }
+  unset($i);
+
+  $v = $raw[0] + $raw[1]/60 + $raw[2]/3600;
+
+  $ref = strtoupper($ref);
+  if ($ref == 'S' or $ref == 'W') $v= -$v;
+
+  return $v;
+}
+
 ?>
Index: trunk/install/db/139-database.php
===================================================================
--- trunk/install/db/139-database.php	(revision 25801)
+++ trunk/install/db/139-database.php	(revision 25801)
@@ -0,0 +1,72 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+
+if (!defined('PHPWG_ROOT_PATH'))
+{
+  die('Hacking attempt!');
+}
+
+$upgrade_description = 'add "latitude" and "longitude" fields';
+
+// add fields
+$query = '
+ALTER TABLE '. IMAGES_TABLE .'
+  ADD `latitude` DOUBLE(8, 6) DEFAULT NULL,
+  ADD `longitude` DOUBLE(9, 6) DEFAULT NULL
+;';
+pwg_query($query);
+
+// add index
+$query = '
+ALTER TABLE '. IMAGES_TABLE .'
+  ADD INDEX `images_i6` (`latitude`) 
+;';
+pwg_query($query);
+
+// search for old "lat" field
+$query = 'SHOW COLUMNS FROM '. IMAGES_TABLE .' LIKE "lat";';
+
+if (pwg_db_num_rows(pwg_query($query)))
+{
+  // duplicate non-null values
+  $query = '
+UPDATE '. IMAGES_TABLE .'
+  SET latitude = lat,
+    longitude = lon
+  WHERE lat != NULL
+    AND lon != NULL
+;';
+  pwg_query($query);
+  
+  // delete old fields
+  $query = '
+ALTER TABLE '. IMAGES_TABLE .'
+  DROP `lat`,
+  DROP `lon`
+;';
+  pwg_query($query);
+}
+
+echo "\n".$upgrade_description."\n";
+
+?>
Index: trunk/install/piwigo_structure-mysql.sql
===================================================================
--- trunk/install/piwigo_structure-mysql.sql	(revision 25800)
+++ trunk/install/piwigo_structure-mysql.sql	(revision 25801)
@@ -197,5 +197,7 @@
   `md5sum` char(32) default NULL,
   `added_by` smallint(5) NOT NULL default '0',
-  `rotation` tinyint unsigned default null,
+  `rotation` tinyint unsigned default NULL,
+  `latitude` double(8, 6) default NULL,
+  `longitude` double(9, 6) default NULL,
   PRIMARY KEY  (`id`),
   KEY `images_i2` (`date_available`),
@@ -203,5 +205,6 @@
   KEY `images_i4` (`hit`),
   KEY `images_i5` (`date_creation`),
-  KEY `images_i1` (`storage_category_id`)
+  KEY `images_i1` (`storage_category_id`),
+  KEY `images_i6` (`latitude`)
 ) ENGINE=MyISAM;
 